# frozen_string_literal: true

module Zashoku
  module Hello
    extend Zashoku::Module

    Version = [1, 0, 0].freeze
    Root    = File.expand_path('../', __dir__)

    autoload :HelloController, File.join(Root, 'lib/hello/hello_controller')
    autoload :HelloView, File.join(Root, 'lib/hello/hello_view')

    def self.view
      HelloView.new
    end

    def self.controller
      HelloController.new
    end
  end
end
