# frozen_string_literal: true

require_relative 'hello_item'

module Zashoku
  module Hello
    class HelloView < Zashoku::View
      def refresh_attributes
        @attributes = {
          't' => Zashoku.conf.get(%w[title hello]),
        }
      end

      def refresh_items
        Zashoku.command(mod: 'remote::hello', meth: 'items')
      end

      def get_format
        Zashoku.conf.get(%w[format hello])
      end
    end
  end
end
