# frozen_string_literal: true

module Zashoku
  module Conf
    extend Zashoku::Module

    Version = [1, 0, 0].freeze
    Root    = File.expand_path('../', __dir__)

    autoload :ConfigView, File.join(Root, 'lib/conf/config_view')

    def self.view
      ConfigView.new
    end
  end
end
