# frozen_string_literal: true

module Zashoku
  module Conf
    class ConfigView < Zashoku::View
      def refresh_attributes
        @attributes = {
          't' => Zashoku.conf.get(%w[title conf]),
        }
      end

      def refresh_items
        @items = Zashoku.conf.items
      end

      def get_format
        Zashoku.conf.get(%w[format conf])
      end
    end
  end
end
