# frozen_string_literal: true

require_relative 'hello_item'

module Zashoku
  module Hello
    class HelloController < Zashoku::Controller
      def items
        {
          HelloItem.new(title: 'hello', lang: 'en') => [
            HelloItem.new(title: 'おはようございます', lang: 'jp'),
            HelloItem.new(title: 'こんにちは', lang: 'jp')
          ],
          HelloItem.new(title: 'world', lang: 'en') => [
            HelloItem.new(title: 'earth', lang: 'en'),
            HelloItem.new(title: '世界', lang: 'jp')
          ]
        }
      end
    end
  end
end
