# frozen_string_literal: true

require_relative 'client_san'

module Zashoku
  module Net
    class ClientSan
      KANA=[ 'a',  'i',  'u',  'e',  'o', 'ka', 'ki', 'ku', 'ke', 'ko', 'sa',
             'shi', 'su', 'se', 'so', 'ta', 'chi', 'tsu', 'te', 'to', 'na',
             'ni', 'nu', 'ne', 'no', 'ha', 'hi', 'fu', 'he', 'ho', 'ma', 'mi',
             'mu', 'me', 'mo', 'ya', 'yu','yo', 'ra', 'ri', 'ru', 're', 'ro',
             'wa', 'n' ]

      attr_reader :c

      def initialize(client)
        @c = client
      end

      def to_s
        "#{@name || @name = generate_name(@c.hash)}@#{@c.addr[2]}:#{@c.addr[1]}"
      end

      def generate_name(hash)
        coll = ''
        hash.abs.to_s[0..5].chars.map do |c|
          coll += c
          if coll.to_i >= KANA.length
            KANA[coll.to_i % KANA.length]
          end
        end.compact.join + '-san'
      end
    end
  end
end
