# frozen_string_literal: true

module Zashoku
  module Generator
    class AppGenerator < Generator
      def generate!
        generated << transfer('app', @name_path)
        generated << transfer('module', Pathname.new(File.join(@name_path, 'modules', @name)))
      end
    end
  end
end
