# frozen_string_literal: true

module Zashoku
  module <Name>
    extend Zashoku::Module

    Version = [1, 0, 0].freeze
    Root    = File.expand_path('../', __dir__)

    autoload :<Name>Controller, File.join(Root, 'lib/<name>/<name>_controller')
    autoload :<Name>View, File.join(Root, 'lib/<name>/<name>_view')

    def self.view
      <Name>View.new
    end

    def self.controller
      <Name>Controller.new
    end
  end
end
